# PhasicFlow: unsortedPairs< executionSpace, idType >::pairAccessor Struct Reference

unsortedPairs< executionSpace, idType >::pairAccessor Struct Reference

## Public Types

using | PairType = typename UnsortedPairs::PairType

## Public Member Functions

INLINE_FUNCTION_HD int32 | size () const
INLINE_FUNCTION_HD int32 | loopCount () const
INLINE_FUNCTION_HD bool | isValid (int32 idx) const
INLINE_FUNCTION_HD PairType | getPair (int idx) const
INLINE_FUNCTION_HD bool | getPair (int32 idx, PairType &pair) const

## Public Attributes

ContainerType | Container_

## Detailed Description

### template<typename executionSpace, typename idType>
struct pFlow::unsortedPairs< executionSpace, idType >::pairAccessor

Definition at line 48 of file unsortedPairs.hpp.

## Member Typedef Documentation

## PairType

using PairType = typename UnsortedPairs::PairType

Definition at line 50 of file unsortedPairs.hpp.

## Member Function Documentation

## size()

INLINE_FUNCTION_HD int32 size | ( |  | ) | const

inline

Definition at line 55 of file unsortedPairs.hpp.

References unsortedPairs< executionSpace, idType >::pairAccessor::Container_.

## loopCount()

INLINE_FUNCTION_HD int32 loopCount | ( |  | ) | const

inline

Definition at line 58 of file unsortedPairs.hpp.

References unsortedPairs< executionSpace, idType >::pairAccessor::Container_.

## isValid()

INLINE_FUNCTION_HD bool isValid | ( | int32 | idx | ) | const

inline

Definition at line 61 of file unsortedPairs.hpp.

References unsortedPairs< executionSpace, idType >::pairAccessor::Container_.

## getPair() [1/2]

INLINE_FUNCTION_HD PairType getPair | ( | int | idx | ) | const

inline

Definition at line 64 of file unsortedPairs.hpp.

References unsortedPairs< executionSpace, idType >::pairAccessor::Container_.

## getPair() [2/2]

INLINE_FUNCTION_HD bool getPair | ( | int32 | idx,
|  | PairType & | pair
| ) |  | const

inline

Definition at line 67 of file unsortedPairs.hpp.

References unsortedPairs< executionSpace, idType >::pairAccessor::Container_.

## Member Data Documentation

## Container_

ContainerType Container_

Definition at line 52 of file unsortedPairs.hpp.

Referenced by unsortedPairs< executionSpace, idType >::pairAccessor::getPair(), unsortedPairs< executionSpace, idType >::pairAccessor::isValid(), unsortedPairs< executionSpace, idType >::pairAccessor::loopCount(), and unsortedPairs< executionSpace, idType >::pairAccessor::size().

The documentation for this struct was generated from the following file:

- src/Interaction/contactLists/unsortedPairs.hpp